/*
   This file is part of the zBoy project
   Copyright (C) Mateusz Viste 2010, 2011

   The InhibitScreenSaver routine is (trying to) inhibit any
   possible screen saver thing.
*/

#ifdef __zboy4windows__
  #include <windows.h>
#endif

void *InhibitScreenSaver() {
  for (;;) {

    #ifdef __zboy4linux__
      system("xdg-screensaver reset");             /* The supposed "standard" way (which doesn't always work) */
      system("xscreensaver-command -deactivate");  /* The X way */
      system("qdbus org.freedesktop.ScreenSaver /ScreenSaver SimulateUserActivity"); /* The D-BUS way (compatible with KDE4) */
      system("gnome-screensaver-command --poke");  /* The GNOME way */
    #endif

    #ifdef __zboy4windows__
      mouse_event(MOUSEEVENTF_MOVE, 1, 1, 0, (ULONG_PTR) NULL);
    #endif

    SDL_Delay(29000);
  }
}
